Package org.apache.velocity.util

# Class ArrayListWrapper

java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
org.apache.velocity.util.ArrayListWrapper

All Implemented Interfaces:
  `Iterable`, `Collection`, `List`

public class ArrayListWrapper extends AbstractList
A class that wraps an array with a List interface.

Since:
  1.6
Version:
  $Revision$ $Date: 2006-04-14 19:40:41 $
Author:
  Chris Schultz <chris@christopherschultz.net$gt;

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`ArrayListWrapper(Object array)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(int index)`
`boolean`
`isEmpty()`
`Object`
`set(int index, Object element)`
`int`
`size()`

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

## Constructor Details

### ArrayListWrapper

public ArrayListWrapper(Object array)

## Method Details

### get

public Object get(int index)

Specified by:
  `get` in interface `List`
Specified by:
  `get` in class `AbstractList`

### set

public Object set(int index, Object element)

Specified by:
  `set` in interface `List`
Overrides:
  `set` in class `AbstractList`

### size

public int size()

Specified by:
  `size` in interface `Collection`
Specified by:
  `size` in interface `List`
Specified by:
  `size` in class `AbstractCollection`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection`
Specified by:
  `isEmpty` in interface `List`
Overrides:
  `isEmpty` in class `AbstractCollection`